Skip to main content
PATCH
/
v2
/
campaigns
/
{campaignId}
Update campaign configuration (including name, de…
curl --request PATCH \
  --url https://api.carecycle.ai/v2/campaigns/{campaignId} \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "name": "<string>",
  "description": "<string>",
  "status": "draft",
  "redial": true,
  "redialPatterns": "<string>",
  "smsTypes": "<string>",
  "smsContent": "<string>",
  "features": "<string>",
  "enablePulse": true,
  "pulseWorkflowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "transferConfigId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "appointmentConfigId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "smsCompanyName": "<string>",
  "transferConfigIds": [
    "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  ]
}
'
{
  "campaign": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "startDate": "2023-11-07T05:31:56Z",
    "endDate": "2023-11-07T05:31:56Z",
    "dialAfterhours": true,
    "outboundEnabled": true,
    "outboundBatchSize": 0,
    "variableMappings": {},
    "redialTracking": {
      "lastRunSmsCount": 123,
      "lastRunTimestamp": "2023-11-07T05:31:56Z"
    },
    "name": "<string>",
    "templateId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "description": "<string>",
    "status": "draft",
    "sourceType": "<string>",
    "enablePulse": true,
    "suitType": "sales",
    "redial": true,
    "redialPatterns": [
      {
        "days": [
          4503599627370495
        ],
        "attempts": 2,
        "intervalMinutes": 123
      }
    ],
    "successCriteria": {
      "operator": "<string>",
      "conditions": [
        {
          "field": "<string>",
          "operator": "<string>",
          "value": true
        }
      ]
    },
    "failureCriteria": {
      "operator": "<string>",
      "conditions": [
        {
          "field": "<string>",
          "operator": "<string>",
          "value": true
        }
      ]
    },
    "maxAttempts": 0,
    "smsTypes": {
      "redial": false,
      "newInquiry": false,
      "postWelcome": false,
      "firstContact": false,
      "missedInquiry": false,
      "appointmentBooked": false,
      "missedAppointment": false,
      "missedFirstContact": false,
      "appointmentReminder": false,
      "informationalFollowup": false
    },
    "smsContent": {
      "redial": "Hi {{clientCustomer.firstName}}, we tried to reach you but couldn''t connect. We''ll try again soon.",
      "newInquiry": "Hi {{clientCustomer.firstName}}, we''ve received your inquiry. Our team will be reaching out to you shortly to address your questions about {{inquiryTopic}}.",
      "postWelcome": "Hi {{clientCustomer.firstName}}, thank you for speaking with us today. If you need assistance, please contact us at {{companyPhone}}. We''re here to provide always-on care for you.",
      "firstContact": "Hi {{clientCustomer.firstName}}, we''ll be calling you shortly regarding your inquiry.",
      "missedInquiry": "Hi {{clientCustomer.firstName}}, we tried to reach you regarding your inquiry but couldn''t connect. Please contact us back at your earliest convenience.",
      "appointmentBooked": "Hi {{clientCustomer.firstName}}, your appointment is confirmed for {{appointmentDate}} at {{appointmentTime}}.",
      "missedAppointment": "Hi {{clientCustomer.firstName}}, we missed you at your appointment on {{appointmentDate}} at {{appointmentTime}}. Please contact us to reschedule.",
      "missedFirstContact": "Hi {{clientCustomer.firstName}}, we tried to reach you but couldn''t connect. We''ll try again soon.",
      "appointmentReminder": "Hi {{clientCustomer.firstName}}, this is a reminder about your upcoming appointment on {{appointmentDate}} at {{appointmentTime}}.",
      "informationalFollowup": "Hi {{clientCustomer.firstName}}, it was a pleasure speaking to you. Questions or concerns? Feel free to call us: +1 xxx-xxx-xxxx."
    },
    "smsCompanyName": "<string>",
    "requiredVars": [],
    "client": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "smsCompanyName": "<string>"
    },
    "hasInquiryCallback": true,
    "customerStats": {
      "total": 123,
      "totalCalls": 123,
      "todayCalls": 123,
      "statusCounts": {
        "expired": 123,
        "failed": 123,
        "pending": 123,
        "completed": 123,
        "exceeded_max_calls": 123,
        "in_progress": 123,
        "cancelled": 123,
        "skipped": 123
      }
    },
    "transferConfig": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "createdAt": "<unknown>",
      "updatedAt": "<unknown>",
      "clientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "routingConfigId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "type": "direct",
      "warmTransfer": true,
      "directPhoneNumber": "<string>",
      "sipUri": "<string>",
      "sipHeaders": "<string>",
      "warmSummaryPrompt": "<string>",
      "warmMode": "wait-for-operator",
      "softphoneFallbackType": "appointment_booking",
      "softphoneFallbackPhoneNumber": "<string>",
      "appointmentBookingEnabled": true,
      "routingConfig": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "createdAt": "<unknown>",
        "updatedAt": "<unknown>",
        "name": "<string>",
        "description": "<string>",
        "routingType": "linear",
        "clientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "fallbackBehavior": "voicemail",
        "fallbackNumber": "<string>",
        "maxRingPerAgent": -1,
        "maxWaitTime": -1,
        "tryCustomerAgentFirst": true,
        "tryPreviousSoftphoneAgentFirst": true,
        "customerAgentPriority": -1,
        "previousSoftphoneAgentPriority": -1,
        "agents": [
          {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "createdAt": "<unknown>",
            "updatedAt": "<unknown>",
            "routingConfigId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "memberId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "groupId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "priority": -1,
            "weight": -1,
            "lastCallAt": "<unknown>",
            "isActive": true,
            "skills": "<string>",
            "member": {
              "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
              "createdAt": "<unknown>",
              "clientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
              "userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
              "role": "<string>",
              "filterData": "<string>",
              "user": {
                "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
                "name": "<string>",
                "email": "jsmith@example.com"
              }
            }
          }
        ],
        "groups": [
          {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "createdAt": "<unknown>",
            "updatedAt": "<unknown>",
            "routingConfigId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "name": "<string>",
            "description": "<string>",
            "routingType": "linear",
            "priority": -1,
            "isActive": true,
            "agents": [
              {
                "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
                "createdAt": "<unknown>",
                "updatedAt": "<unknown>",
                "routingConfigId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
                "memberId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
                "groupId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
                "priority": -1,
                "weight": -1,
                "lastCallAt": "<unknown>",
                "isActive": true,
                "skills": "<string>",
                "member": {
                  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
                  "createdAt": "<unknown>",
                  "clientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
                  "userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
                  "role": "<string>",
                  "filterData": "<string>",
                  "user": {
                    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
                    "name": "<string>",
                    "email": "jsmith@example.com"
                  }
                }
              }
            ]
          }
        ]
      },
      "dynamicOptions": {
        "pingUrl": "<string>",
        "method": "GET",
        "timeout": 123,
        "headers": {},
        "body": {},
        "transferNumberField": "<string>",
        "transferNumber": "<string>",
        "successConditions": [
          {
            "field": "<string>",
            "operator": "equals",
            "value": "<string>"
          }
        ]
      },
      "transferWaitingMessages": [
        "<string>"
      ]
    },
    "transferConfigIds": [],
    "appointmentConfig": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "createdAt": "<unknown>",
      "updatedAt": "<unknown>",
      "clientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "concurrentLimit": -1,
      "appointmentLength": -1,
      "appointmentSpacing": -1,
      "maxOptions": -1,
      "minDate": "<string>",
      "maxDate": "<string>",
      "minHours": -1,
      "preferredMode": "timezone",
      "pulseWorkflowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "createdBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "updatedBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    },
    "campaignAutomations": [],
    "templateName": "<string>",
    "pulseWorkflowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "suite": "receptionist",
    "features": {
      "transfers": false,
      "appointments": false,
      "inquiries": false,
      "checkPlan": false
    }
  }
}

Authorizations

x-api-key
string
header
required

API key required for authentication.

Keys begin with 'cc_' prefix. Get your API key from the Developer Dashboard.

Path Parameters

campaignId
string<uuid>
required

Campaign ID

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$

Body

application/json

PATCH /v2/campaigns/:campaignId Request body

name
string
Maximum string length: 255
description
string | null
status
enum<string>
Available options:
draft,
active,
paused,
completed,
archived,
inactive,
cancelled,
testing
redial
boolean
redialPatterns
smsTypes
smsContent
features
enablePulse
boolean
pulseWorkflowId
string<uuid> | null
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
transferConfigId
string<uuid> | null
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
appointmentConfigId
string<uuid> | null
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
smsCompanyName
string
transferConfigIds
string<uuid>[] | null

Campaign-assigned transfer configs. Ordered list, first item is default.

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$

Response

PATCH /v2/campaigns/:campaignId Positive response

campaign
object
required

Updated campaign data